Hardware Locality (hwloc) 1.5.1

- Main Page
- Related Pages
- Modules
- Data Structures

Functions
Finding a single Object covering at least CPU set

## Functions

static inline hwloc_obj_t | hwloc_get_child_covering_cpuset (hwloc_topology_t topology , hwloc_const_cpuset_t set, hwloc_obj_t parent)
static inline hwloc_obj_t | hwloc_get_obj_covering_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_t set)

## Detailed Description

## Function Documentation

static inline hwloc_obj_t hwloc_get_child_covering_cpuset | ( | hwloc_topology_t topology | ,
|  | hwloc_const_cpuset_t | set,
|  | hwloc_obj_t | parent
| ) |  |

static

Get the child covering at least CPU set `set`.

Returns
  `NULL` if no child matches or if `set` is empty.

Note
  This function cannot work if parent does not have a CPU set.

static inline hwloc_obj_t hwloc_get_obj_covering_cpuset | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | set
| ) |  |

static

Get the lowest object covering at least CPU set `set`.

Returns
  `NULL` if no object matches or if `set` is empty.

Note
  This function cannot work if the root object does not have a CPU set, e.g. if the topology is made of different machines.